IRPCExportedDataSetsAdmin.GetExportedDataSetsAdmin

View as Markdown

Administration API / specialized admin session idempotent

Gets all exported data sets of the vault.

ServiceExported data set administration MFiles.IRPCExportedDataSetsAdmin
gRPC method/MFiles.IRPCExportedDataSetsAdmin/GetExportedDataSetsAdmin
HTTP (mf-http-grpc)POST /grpc/v1/get-exported-data-sets-admin
RequestGetExportedDataSetsAdminRequest
ResponseGetExportedDataSetsAdminResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetExportedDataSetsAdminRequest

No fields.

Response: GetExportedDataSetsAdminResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
results[]repeated ExportedDataSetAdminThe exported data sets.
results[].datasetExportedDataSetThe non-admin version of the struct.
results[].dataset.idint32Exported data set ID.
results[].dataset.namestringThe name of the data set.
results[].dataset.object_types[]repeated ExportedDataObjectTypeRoot nodes representing an object type.
results[].dataset.optionsEXPORTEDDATASETFLAGSData set flags.
results[].dataset.schedulebytesThe schedule of this data set extraction (a serialized Task object of Task Scheduler).
results[].dataset.database_connection_stringstringThe database connection string.
results[].dataset.run_as_user_idint32"Run as" user id for the exported data set.
results[].dataset.database_schemaExportedDataSetDBSchemaThe database schema.Values: EXPORTED_DATA_SET_DBSCHEMA_GENERIC (0).
results[].aliasesstringSemicolon-separated list of semantic aliases.